package eu.eudat.model.descriptiontemplatedefinition.fielddata;

import java.util.List;

public class ExternalSelectData extends LabelAndMultiplicityData {
	private List<ExternalSelectSource> sources;

	public final static String _sources = "sources";

	public List<ExternalSelectSource> getSources() {
		return sources;
	}

	public void setSources(List<ExternalSelectSource> sources) {
		this.sources = sources;
	}

	public static class ExternalSelectSource {
		private String url;
		public final static String _url = "url";
		
		private String method;
		public final static String _method = "method";
		private String optionsRoot;
		public final static String _optionsRoot = "optionsRoot";
		private ExternalSelectSourceBinding sourceBinding;
		public final static String _sourceBinding = "sourceBinding";
		private Boolean hasAuth;
		public final static String _hasAuth = "hasAuth";
		private ExternalSelectAuthData auth;
		public final static String _auth = "auth";

		public String getUrl() {
			return url;
		}

		public void setUrl(String url) {
			this.url = url;
		}

		public String getMethod() {
			return method;
		}

		public void setMethod(String method) {
			this.method = method;
		}

		public String getOptionsRoot() {
			return optionsRoot;
		}

		public void setOptionsRoot(String optionsRoot) {
			this.optionsRoot = optionsRoot;
		}

		public ExternalSelectSourceBinding getSourceBinding() {
			return sourceBinding;
		}

		public void setSourceBinding(ExternalSelectSourceBinding sourceBinding) {
			this.sourceBinding = sourceBinding;
		}

		public Boolean getHasAuth() {
			return hasAuth;
		}

		public void setHasAuth(Boolean hasAuth) {
			this.hasAuth = hasAuth;
		}

		public ExternalSelectAuthData getAuth() {
			return auth;
		}

		public void setAuth(ExternalSelectAuthData auth) {
			this.auth = auth;
		}
	}

	public static class ExternalSelectSourceBinding {
		private String label;
		public final static String _label = "label";
		private String value;
		public final static String _value = "value";
		private String source;
		public final static String _source = "source";

		public String getLabel() {
			return label;
		}
		public void setLabel(String label) {
			this.label = label;
		}

		public String getValue() {
			return value;
		}
		public void setValue(String value) {
			this.value = value;
		}

		public String getSource() {
			return source;
		}
		public void setSource(String source) {
			this.source = source;
		}
	}

	public static class ExternalSelectAuthData {
		private String url;
		public final static String _url = "url";
		private String method;
		public final static String _method = "method";
		private String body;
		public final static String _body = "body";
		private String path;
		public final static String _path = "path";
		private String type;
		public final static String _type = "type";

		public String getUrl() {
			return url;
		}

		public void setUrl(String url) {
			this.url = url;
		}

		public String getMethod() {
			return method;
		}

		public void setMethod(String method) {
			this.method = method;
		}

		public String getBody() {
			return body;
		}

		public void setBody(String body) {
			this.body = body;
		}

		public String getPath() {
			return path;
		}

		public void setPath(String path) {
			this.path = path;
		}

		public String getType() {
			return type;
		}

		public void setType(String type) {
			this.type = type;
		}
	}
}
